### Hierarchy

- StringMessage
  - StringSignedMessage

### Implements

- MessageData<string>

## Index

### Constructors

- constructor

### Properties

- data

### Methods

- valueOf

## Constructors

### constructor

- new StringMessage(data: string): StringMessage

- - Defined in utils/types/BaseTypes.ts:16

  #### Parameters

  - ##### data: string

  #### Returns StringMessage

## Properties

### data

data: string

- Defined in utils/types/BaseTypes.ts:12

## Methods

### Static valueOf

- valueOf(message: MessageData): StringMessage

- - Defined in utils/types/BaseTypes.ts:14

  #### Parameters

  - ##### message: MessageData

  #### Returns StringMessage

Generated using TypeDoc